Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

FreeBSD Ports: postgresql-contrib

Information

Severity

Severity

Low

Family

Family

FreeBSD Local Security Checks

CVSSv2 Base

CVSSv2 Base

2.1

CVSSv2 Vector

CVSSv2 Vector

AV:L/AC:L/Au:N/C:N/I:P/A:N

Solution Type

Solution Type

Vendor Patch

Created

Created

14 years ago

Modified

Modified

6 years ago

Summary

The remote host is missing an update to the system as announced in the referenced advisory.

Insight

Insight

The following package is affected: postgresql-contrib CVE-2004-0977 The make_oidjoins_check script in PostgreSQL 7.4.5 and earlier allows local users to overwrite files via a symlink attack on temporary files.

Solution

Solution

Update your system with the appropriate patches or software upgrades. http://www.postgresql.org/news/234.html http://www.trustix.net/errata/2004/0050/ http://www.vuxml.org/freebsd/6a164d84-2f7f-11d9-a9e7-0001020eed82.html

Common Vulnerabilities and Exposures (CVE)